Get a pronunciation dictionary
Retrieve a single pronunciation dictionary by ID.
GET
/
pronunciation_dicts
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const pronunciationDict = await client.pronunciationDicts.retrieve(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7',
);
console.log(pronunciationDict.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
pronunciation_dict = client.pronunciation_dicts.retrieve(
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
)
print(pronunciation_dict.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
pronunciationDict, err := client.PronunciationDicts.Get(context.TODO(), "c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", pronunciationDict.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictRetrieveParams;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PronunciationDictRetrieveResponse pronunciationDict = client.pronunciationDicts().retrieve("c215a3e1-be41-4701-97e8-1d3c22f9a5b7");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
pronunciation_dict = telnyx.pronunciation_dicts.retrieve("c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
puts(pronunciation_dict)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$pronunciationDict = $client->pronunciationDicts->retrieve(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7'
);
var_dump($pronunciationDict);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts retrieve \
--api-key 'My API Key' \
--id c215a3e1-be41-4701-97e8-1d3c22f9a5b7curl --request GET \
--url https://api.telnyx.com/v2/pronunciation_dicts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "pronunciation_dict",
"id": "c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
"name": "Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
],
"version": 1,
"created_at": "2026-03-25T12:00:00.000Z",
"updated_at": "2026-03-25T12:00:00.000Z"
}
}{
"errors": [
{
"code": "90201",
"title": "Pronunciation dictionary not found",
"detail": "The requested pronunciation dictionary does not exist"
}
]
}Authorizations
Telnyx API v2 key. Obtain from https://portal.telnyx.com
Path Parameters
The UUID of the pronunciation dictionary.
Example:
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7"
Response
The requested pronunciation dictionary.
Response containing a single pronunciation dictionary.
A pronunciation dictionary record.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const pronunciationDict = await client.pronunciationDicts.retrieve(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7',
);
console.log(pronunciationDict.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
pronunciation_dict = client.pronunciation_dicts.retrieve(
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
)
print(pronunciation_dict.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
pronunciationDict, err := client.PronunciationDicts.Get(context.TODO(), "c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", pronunciationDict.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictRetrieveParams;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PronunciationDictRetrieveResponse pronunciationDict = client.pronunciationDicts().retrieve("c215a3e1-be41-4701-97e8-1d3c22f9a5b7");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
pronunciation_dict = telnyx.pronunciation_dicts.retrieve("c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
puts(pronunciation_dict)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$pronunciationDict = $client->pronunciationDicts->retrieve(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7'
);
var_dump($pronunciationDict);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts retrieve \
--api-key 'My API Key' \
--id c215a3e1-be41-4701-97e8-1d3c22f9a5b7curl --request GET \
--url https://api.telnyx.com/v2/pronunciation_dicts/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "pronunciation_dict",
"id": "c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
"name": "Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
],
"version": 1,
"created_at": "2026-03-25T12:00:00.000Z",
"updated_at": "2026-03-25T12:00:00.000Z"
}
}{
"errors": [
{
"code": "90201",
"title": "Pronunciation dictionary not found",
"detail": "The requested pronunciation dictionary does not exist"
}
]
}